# Generated by Django 5.1.6 on 2025-02-13 20:26

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="UserPersona",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "image",
                    models.ImageField(
                        blank=True,
                        db_comment="Stores an image representing the user persona.",
                        help_text="An image representing the user persona.",
                        null=True,
                        upload_to="persona_images/",
                        verbose_name="Image",
                    ),
                ),
                (
                    "persona_name",
                    models.CharField(
                        db_comment="Stores the name of the user persona.",
                        help_text="The name of the user persona.",
                        max_length=100,
                        verbose_name="Persona Name",
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        blank=True,
                        db_comment="Stores a detailed description of the user persona.",
                        help_text="A detailed description of the user persona.",
                        null=True,
                        verbose_name="Description",
                    ),
                ),
                (
                    "is_active",
                    models.BooleanField(
                        db_comment="Indicates whether the user persona is active.",
                        default=True,
                        help_text="Indicates whether the user persona is active.",
                        verbose_name="Is Active",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        db_comment="Stores the date and time when the user persona was created.",
                        help_text="The date and time when the user persona was created.",
                        verbose_name="Created At",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        db_comment="Stores the date and time when the user persona was last updated.",
                        help_text="The date and time when the user persona was last updated.",
                        verbose_name="Updated At",
                    ),
                ),
                (
                    "attributes",
                    models.JSONField(
                        blank=True,
                        db_comment="Stores additional attributes specific to the user persona.",
                        default=dict,
                        help_text="Additional attributes specific to the user persona.",
                        verbose_name="Attributes",
                    ),
                ),
            ],
            options={
                "verbose_name": "User Persona",
                "verbose_name_plural": "User Personas",
                "db_table": "user_personas",
            },
        ),
    ]
